{% extends "base.html" %}

{% block content %}

{% if object_list %}
<p>Lista delle domande:</p>
<ul>
    {% for question in object_list %}
    <li>
        {{question.pk}}) {{question.text}} -
        (N° risposte: {{question.choices.count}})
        <a href="{% url 'question_detail' question.pk %}">Visualizza dettaglio</a>
        <ul>
            {% for choice in question.choices.all %}
            <li>{{choice.text}}</li>
            {% endfor %}
        </ul>
    </li>
    {% endfor %}
</ul>
{% else %}
<p>Nessuna domanda trovata</p>
{% endif %}

{% endblock %}